# Uses of Class
java.io.PipedReader

Packages that use PipedReader
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.

## Uses of PipedReader in java.io

Methods in java.io with parameters of type PipedReader
Modifier and Type
Method
Description
`void`
PipedWriter.`connect(PipedReader snk)`
Connects this piped writer to a receiver.
Constructors in java.io with parameters of type PipedReader
Modifier
Constructor
Description
``
`PipedWriter(PipedReader snk)`
Creates a piped writer connected to the specified piped reader.